<PreferenceScreen xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <PreferenceCategory app:title="@string/downloader_header">

        <SwitchPreferenceCompat
            app:defaultValue="true"
            app:icon="@drawable/ic_baseline_download_32"
            app:key="use_downloader"
            app:summary="@string/use_downloader_summary"
            app:title="@string/use_downloader" />

        <Preference
            app:dependency="use_downloader"
            app:icon="@drawable/ic_baseline_store_32"
            app:key="start_market"
            app:title="@string/open_market">
            <intent
                android:action="android.intent.action.VIEW"
                android:data="market://details?id=xyz.myachin.downloader" />
        </Preference>
    </PreferenceCategory>

    <PreferenceCategory app:title="@string/app_name">
        <SeekBarPreference
            android:max="10"
            android:title="@string/text_file_name_template"
            app:defaultValue="5"
            app:icon="@drawable/ic_baseline_text_snippet_32"
            app:key="text_file_name_length"
            app:min="1"
            app:showSeekBarValue="true"
            app:summary="@string/text_file_name_length" />

        <Preference
            app:key="settings_version"
            app:defaultValue="@string/settings_version"
            app:icon="@drawable/ic_baseline_not_interested_32"
            app:title="@string/tv_remove_app_launcher_icon">
            <intent
                android:targetClass="xyz.myachin.saveto.ui.DisableLaunchIconActivity"
                android:targetPackage="xyz.myachin.saveto" />
        </Preference>
    </PreferenceCategory>

</PreferenceScreen>